openSUSE Security Update : libX11 (openSUSE-SU-2013:1047-1)

medium Nessus Plugin ID 75052
New! Plugin Severity Now Using CVSS v3

The calculated severity for Plugins has been updated to use CVSS v3 by default. Plugins that do not have a CVSS v3 score will fall back to CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Synopsis

The remote openSUSE host is missing a security update.

Description

This update of libX11 fixes several security issues.

- U_0001-integer-overflow-in-_XQueryFont-on-32-bit-platfor ms-.patch, U_0002-integer-overflow-in-_XF86BigfontQueryFont-CVE-201 3-1.patch, U_0003-integer-overflow-in-XListFontsWithInfo-CVE-2013-1 981.patch, U_0004-integer-overflow-in-XGetMotionEvents-CVE-2013-198 1-4.patch, U_0005-integer-overflow-in-XListHosts-CVE-2013-1981-5-13 .patch, U_0006-Integer-overflows-in-stringSectionSize-cause-buff er-.patch, U_0007-integer-overflow-in-ReadInFile-in-Xrm.c-CVE-2013- 198.patch, U_0008-integer-truncation-in-_XimParseStringFile-CVE-201 3-1.patch, U_0009-integer-overflows-in-TransFileName-CVE-2013-1981- 9-1.patch, U_0010-integer-overflow-in-XGetWindowProperty-CVE-2013-1 981.patch, U_0011-integer-overflow-in-XGetImage-CVE-2013-1981-11-13 .patch, U_0012-integer-overflow-in-XGetPointerMapping-XGetKeyboa rdM.patch, U_0013-integer-overflow-in-XGetModifierMapping-CVE-2013- 198.patch

- integer overflow in various functions, integer truncation in _XimParseStringFile() [CVE-2013-1981] (bnc#821664, bnc#815451)

- U_0001-unvalidated-lengths-in-XAllocColorCells-CVE-2013- 199.patch, U_0002-unvalidated-index-in-_XkbReadGetDeviceInfoReply-C VE-.patch, U_0003-unvalidated-indexes-in-_XkbReadGeomShapes-CVE-201 3-1.patch, U_0004-unvalidated-indexes-in-_XkbReadGetGeometryReply-C VE-.patch, U_0005-unvalidated-index-in-_XkbReadKeySyms-CVE-2013-199 7-5.patch, U_0006-unvalidated-index-in-_XkbReadKeyActions-CVE-2013- 199.patch, U_0007-unvalidated-index-in-_XkbReadKeyBehaviors-CVE-201 3-1.patch, U_0008-unvalidated-index-in-_XkbReadModifierMap-CVE-2013
-19.patch, U_0009-unvalidated-index-in-_XkbReadExplicitComponents-C VE-.patch, U_0010-unvalidated-index-in-_XkbReadVirtualModMap-CVE-20 13-.patch, U_0011-unvalidated-index-length-in-_XkbReadGetNamesReply
-CV.patch, U_0012-unvalidated-length-in-_XimXGetReadData-CVE-2013-1 997.patch, U_0013-Avoid-overflows-in-XListFonts-CVE-2013-1997-13-15 .patch, U_0014-Avoid-overflows-in-XGetFontPath-CVE-2013-1997-14- 15.patch, U_0015-Avoid-overflows-in-XListExtensions-CVE-2013-1997- 15-.patch

- unvalidated index/length in various functions; Avoid overflows in XListFonts(), XGetFontPath(), XListExtensions() [CVE-2013-1997] (bnc##821664, bnc#815451)

- U_0001-Unbounded-recursion-in-GetDatabase-when-parsing-i ncl.patch, U_0002-Unbounded-recursion-in-_XimParseStringFile-when-p ars.patch

- Unbounded recursion in GetDatabase(),
_XimParseStringFile when parsing include files [CVE-2013-2004] (bnc##821664, bnc#815451)

Solution

Update the affected libX11 packages.

See Also

https://bugzilla.novell.com/show_bug.cgi?id=815451

https://bugzilla.novell.com/show_bug.cgi?id=821664

https://lists.opensuse.org/opensuse-updates/2013-06/msg00171.html

Plugin Details

Severity: Medium

ID: 75052

File Name: openSUSE-2013-516.nasl

Version: 1.7

Type: local

Agent: unix

Published: 6/13/2014

Updated: 1/19/2021

Dependencies: ssh_get_info.nasl

Risk Information

VPR

Risk Factor: Medium

Score: 5.8

CVSS v2

Risk Factor: Medium

Base Score: 6.8

Temporal Score: 5

Vector: AV:N/AC:M/Au:N/C:P/I:P/A:P

Temporal Vector: E:U/RL:OF/RC:C

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:libX11-6, p-cpe:/a:novell:opensuse:libX11-6-32bit, p-cpe:/a:novell:opensuse:libX11-6-debuginfo, p-cpe:/a:novell:opensuse:libX11-6-debuginfo-32bit, p-cpe:/a:novell:opensuse:libX11-data, p-cpe:/a:novell:opensuse:libX11-debugsource, p-cpe:/a:novell:opensuse:libX11-devel, p-cpe:/a:novell:opensuse:libX11-devel-32bit, p-cpe:/a:novell:opensuse:libX11-xcb1, p-cpe:/a:novell:opensuse:libX11-xcb1-32bit, p-cpe:/a:novell:opensuse:libX11-xcb1-debuginfo, p-cpe:/a:novell:opensuse:libX11-xcb1-debuginfo-32bit, cpe:/o:novell:opensuse:12.2, cpe:/o:novell:opensuse:12.3

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Exploit Ease: No known exploits are available

Patch Publication Date: 6/12/2013

Reference Information

CVE: CVE-2013-1981, CVE-2013-1997, CVE-2013-2004

BID: 60120, 60122, 60146